DB2Subsystem (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.zOS.DB2Subsystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.zOS
Interface DB2Subsystem

All Superinterfaces:
  AppServer, ConfigurationItem, DatabaseServer, Db2Server, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Subsystem

    public interface DB2Subsystem

extends Db2Server, Subsystem

DB2 subsystems consist of several specialized address spaces components running on a z/OS system. Each provide different DB2 services for the subsystem. Each subsystem has one address space known as the Master which regulates the DB2 subsystem as a whole.

Naming Rules:
  0="zos,subsystemName"
Persistable:
  true
Table Name:
  SUBSYSDB2
Top Level:
  true
Display Name:
  zos,subsystemName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`RUNNING, STOPPED`

Method Summary
`Db2BufferPool` | `getDb2bufferpool()`
`Db2Database[]` | `getDb2database()`
`int` | `getMajorVersion()` See the core/version interface.
`int` | `getModifier()` See the core/version interface.
`int` | `getRelease()` See the core/version interface.
`java.lang.String` | `getSubsystemName()` The 1-4 character name of the DB2 subsystem.
`long` | `getSysColumnsMaxAlteredTs()` Maximum ALTEREDTS value for the SYSIBM.SYSCOLUMNES table.
`long` | `getSysDatabaseMaxAlteredTs()` Maximum ALTEREDTS value for the SYSIBM.SYSDATABASE table.
`long` | `getSysIndexesMaxAlteredTs()` Maximum ALTEREDTS value for the SYSIBM.SYSINDEXES table.
`long` | `getSysTablesMaxAlteredTS()` Maximum ALTEREDTS value for the SYSIBM.SYSTABLESPACE table.
`long` | `getSysTableSpaceMaxalteredTs()` Maximum ALTEREDTS value for the SYSIBM.SYSTABLES table.
`java.lang.String` | `getVersionString()` See the core/version interface.
`ZOS` | `getZos()`
`boolean` | `hasDb2bufferpool()`
`boolean` | `hasDb2database()`
`boolean` | `hasMajorVersion()`
`boolean` | `hasModifier()`
`boolean` | `hasRelease()`
`boolean` | `hasSubsystemName()`
`boolean` | `hasSysColumnsMaxAlteredTs()`
`boolean` | `hasSysDatabaseMaxAlteredTs()`
`boolean` | `hasSysIndexesMaxAlteredTs()`
`boolean` | `hasSysTablesMaxAlteredTS()`
`boolean` | `hasSysTableSpaceMaxalteredTs()`
`boolean` | `hasVersionString()`
`boolean` | `hasZos()`
`void` | `setDb2bufferpool(Db2BufferPool x)`
`void` | `setDb2database(Db2Database[] x)`
`void` | `setMajorVersion(int x)`
`void` | `setModifier(int x)`
`void` | `setRelease(int x)`
`void` | `setSubsystemName(java.lang.String x)`
`void` | `setSysColumnsMaxAlteredTs(long x)`
`void` | `setSysDatabaseMaxAlteredTs(long x)`
`void` | `setSysIndexesMaxAlteredTs(long x)`
`void` | `setSysTablesMaxAlteredTS(long x)`
`void` | `setSysTableSpaceMaxalteredTs(long x)`
`void` | `setVersionString(java.lang.String x)`
`void` | `setZos(ZOS x)`

Methods inherited from interface com.collation.platform.model.topology.app.db.db2.Db2Server
`getBuildLevel, getComment, getLevel, getLevelId, getNodeName, getPort, getProductId, getProtocol, getProtocolParams, getPTF, getType, hasBuildLevel, hasComment, hasLevel, hasLevelId, hasNodeName, hasPort, hasProductId, hasProtocol, hasProtocolParams, hasPTF, hasType, setBuildLevel, setComment, setLevel, setLevelId, setNodeName, setPort, setProductId, setProtocol, setProtocolParams, setPTF, setType`

Methods inherited from interface com.collation.platform.model.topology.app.db.DatabaseServer
`getHome, hasHome, setHome`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Methods inherited from interface com.collation.platform.model.topology.sys.zOS.Subsystem
`getAddressspace, getAddressspaces, getBindaddress, getCommandPrefixName, getControllingAddressSpace, getSysplexgroup, hasAddressspace, hasAddressspaces, hasBindaddress, hasCommandPrefixName, hasControllingAddressSpace, hasSysplexgroup, setAddressspace, setAddressspaces, setBindaddress, setCommandPrefixName, setControllingAddressSpace, setSysplexgroup`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getMajorVersion

    int getMajorVersion()
                        throws AttributeNotSetException

  See the core/version interface. In the future the DB2Subsystem will use the version interface and this attribute will be removed.

  Throws:
    `AttributeNotSetException`

### setMajorVersion

    void setMajorVersion(int x)

### hasMajorVersion

    boolean hasMajorVersion()

### getModifier

    int getModifier()
                    throws AttributeNotSetException

  See the core/version interface. In the future the DB2Subsystem will use the version interface and this attribute will be removed.

  Throws:
    `AttributeNotSetException`

### setModifier

    void setModifier(int x)

### hasModifier

    boolean hasModifier()

### getRelease

    int getRelease()
                   throws AttributeNotSetException

  See the core/version interface. In the future the DB2Subsystem will use the version interface and this attribute will be removed.

  Throws:
    `AttributeNotSetException`

### setRelease

    void setRelease(int x)

### hasRelease

    boolean hasRelease()

### getVersionString

    java.lang.String getVersionString()
                                      throws AttributeNotSetException

  See the core/version interface. In the future the DB2Subsystem will use the version interface and this attribute will be removed.

  Throws:
    `AttributeNotSetException`

### setVersionString

    void setVersionString(java.lang.String x)

### hasVersionString

    boolean hasVersionString()

### getSysTableSpaceMaxalteredTs

    long getSysTableSpaceMaxalteredTs()
                                      throws AttributeNotSetException

  Maximum ALTEREDTS value for the SYSIBM.SYSTABLES table. This attribute will enable changes to the SYSTABLES catalog to be tracked.

  Throws:
    `AttributeNotSetException`

### setSysTableSpaceMaxalteredTs

    void setSysTableSpaceMaxalteredTs(long x)

### hasSysTableSpaceMaxalteredTs

    boolean hasSysTableSpaceMaxalteredTs()

### getDb2bufferpool

    Db2BufferPool getDb2bufferpool()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setDb2bufferpool

    void setDb2bufferpool(Db2BufferPool x)

### hasDb2bufferpool

    boolean hasDb2bufferpool()

### getSysDatabaseMaxAlteredTs

    long getSysDatabaseMaxAlteredTs()
                                    throws AttributeNotSetException

  Maximum ALTEREDTS value for the SYSIBM.SYSDATABASE table. This attribute will enable changes to the SYSDATABASE catalog to be tracked.

  Throws:
    `AttributeNotSetException`

### setSysDatabaseMaxAlteredTs

    void setSysDatabaseMaxAlteredTs(long x)

### hasSysDatabaseMaxAlteredTs

    boolean hasSysDatabaseMaxAlteredTs()

### getSysIndexesMaxAlteredTs

    long getSysIndexesMaxAlteredTs()
                                   throws AttributeNotSetException

  Maximum ALTEREDTS value for the SYSIBM.SYSINDEXES table. This attribute will enable changes to the SYSINDEXES catalog to be tracked.

  Throws:
    `AttributeNotSetException`

### setSysIndexesMaxAlteredTs

    void setSysIndexesMaxAlteredTs(long x)

### hasSysIndexesMaxAlteredTs

    boolean hasSysIndexesMaxAlteredTs()

### getZos

    ZOS getZos()
               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.HostedDependency" reverse="false"

### setZos

    void setZos(ZOS x)

### hasZos

    boolean hasZos()

### getSysColumnsMaxAlteredTs

    long getSysColumnsMaxAlteredTs()
                                   throws AttributeNotSetException

  Maximum ALTEREDTS value for the SYSIBM.SYSCOLUMNES table. This attribute will enable changes to the SYSCOLUMNS catalog to be tracked.

  Throws:
    `AttributeNotSetException`

### setSysColumnsMaxAlteredTs

    void setSysColumnsMaxAlteredTs(long x)

### hasSysColumnsMaxAlteredTs

    boolean hasSysColumnsMaxAlteredTs()

### getSubsystemName

    java.lang.String getSubsystemName()
                                      throws AttributeNotSetException

  The 1-4 character name of the DB2 subsystem.

  Throws:
    `AttributeNotSetException`

### setSubsystemName

    void setSubsystemName(java.lang.String x)

### hasSubsystemName

    boolean hasSubsystemName()

### getDb2database

    Db2Database[] getDb2database()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setDb2database

    void setDb2database(Db2Database[] x)

### hasDb2database

    boolean hasDb2database()

### getSysTablesMaxAlteredTS

    long getSysTablesMaxAlteredTS()
                                  throws AttributeNotSetException

  Maximum ALTEREDTS value for the SYSIBM.SYSTABLESPACE table. This attribute will enable changes to the SYSTABLESPACE catalog to be tracked.

  Throws:
    `AttributeNotSetException`

### setSysTablesMaxAlteredTS

    void setSysTablesMaxAlteredTS(long x)

### hasSysTablesMaxAlteredTS

    boolean hasSysTablesMaxAlteredTS()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD